com.jogamp.opengl.util.stereo

## Class EyePose

- java.lang.Object
- - com.jogamp.opengl.util.stereo.EyePose

-     public final class EyePose
      extends Object

  Position and orientation of one eye.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `number` Eye number, `0` for the left eye and `1` for the right eye.
    `Quaternion` | `orientation` Eye orientation
    `float[]` | `position` float[3] eye position vector.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EyePose(int number)`
    `EyePose(int number, float[] position, Quaternion orientation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(float[] position, Quaternion orientation)` Set position and orientation of this instance.
    `void` | `setPosition(float posX, float posY, float posZ)` Set position and orientation of this instance.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### number

          public final int number

      Eye number, `0` for the left eye and `1` for the right eye.

    - #### position

          public final float[] position

      float[3] eye position vector.

    - #### orientation

          public final Quaternion orientation

      Eye orientation

  - ### Constructor Detail

    - #### EyePose

          public EyePose(int number)

    - #### EyePose

          public EyePose(int number,
                 float[] position,
                 Quaternion orientation)

  - ### Method Detail

    - #### set

          public final void set(float[] position,
                 Quaternion orientation)

      Set position and orientation of this instance.

    - #### setPosition

          public final void setPosition(float posX,
                         float posY,
                         float posZ)

      Set position and orientation of this instance.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.